Hi,

I recently upgraded from Mac OSX 10.5 to 10.6.2 (Snow Leopard). I've been successfully using a Plplot installation that I got through Fink (version 5.6.1). I use this with the Intel ifort Fortran compiler by including `plplot-config --cflags --libs --with-f77` on the load line. However, the 10.6.2 upgrade seems to have broken things for Plplot (see below). I can still run codes using Plplot that were built before the upgrade, but cannot build new versions. Any suggestions as to how to fix this?

My /usr/lib area has /usr/lib/libltdl.a and /usr/lib/libltdl.dylib, but no /usr/lib/libltdl.la.

-Thanks, Don

 ifort -O -o xplot_egn egn_plotter.o `plplot-config --cflags --libs --with-f77`
plplot_libtool: link: cannot find the library `/usr/lib/libltdl.la' or unhandled argument `/usr/lib/libltdl.la'
Undefined symbols:
  "_plssub_", referenced from:
      _MAIN__ in egn_plotter.o
      _MAIN__ in egn_plotter.o
  "_pllab_", referenced from:
      _MAIN__ in egn_plotter.o
      _MAIN__ in egn_plotter.o

etc.

ld: symbol(s) not found

_________________________________________________________
Donald A. Spong, Fusion Energy Theory, ORNL
One Bethel Valley Road, Bldg. 5700
P. O. Box 2008, Room R-F312
Oak Ridge, Tennessee  37831-6169
Phone: (865) 574-1304   FAX: (865) 576-7926                   E-mail: spongda@ornl.gov
web page: http://www.ornl.gov/fed/Theory/stci/stellarator_theory.html
_________________________________________________________